Modify

Opened 6 weeks ago

Closed 4 weeks ago

Last modified 4 weeks ago

#15511 closed defect (fixed)

Zoom glitch in picture view

Reported by: bielebog Owned by: Don-vip
Priority: normal Milestone: 17.11
Component: Core image mapping Version:
Keywords: template_report regression Cc:

Description

What steps will reproduce the problem?

  1. Load one ore more pictures into JOSM
  2. Show picture in any picture view
  3. Try to zoom in on the picturew using mouse wheel

What is the expected result?

Should zoom into pointer position

What happens instead?

Picture canvas is white.
When dragging the picture to the lower right side, the picture
becomes visible though the aspect ratio seems to be off.

https://farm5.staticflickr.com/4539/37408935024_99c932123c_o.png

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-10-30 23:58:23 +0100 (Mon, 30 Oct 2017)
Build-Date:2017-10-31 02:33:18
Revision:13064
Relative:URL: ^/trunk

Identification: JOSM/1.5 (13064 de) Linux Ubuntu 14.04.5 LTS
Memory Usage: 1568 MB / 1753 MB (595 MB allocated, but free)
Java version: 1.8.0_141-8u141-b15-3~14.04-b15, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1280x800, :0.1 1680x1050
Maximum Screen Size: 1680x1050
Java package: openjdk-8-jre:amd64-8u141-b15-3~14.04
Java ATK Wrapper package: libatk-wrapper-java:all-0.30.4-4
VM arguments: [-Djosm.restart=true, -Djosm.dir.name=JOSM-latest, -Djava.net.useSystemProxies=true]

Plugins:
+ DirectDownload (33160)
+ DirectUpload (33182)
+ EasyPresets (1508681742)
+ FixAddresses (33718)
+ ImageWayPoint (33561)
+ ImportImagePlugin (33563)
+ Mapillary (v1.5.8)
+ PicLayer (33385)
+ RoadSigns (33579)
+ Tracer2 (33700)
+ apache-commons (33668)
+ apache-http (32699)
+ download_along (33710)
+ editgpx (33004)
+ ejml (32680)
+ geochat (33602)
+ geojson (66)
+ geotools (33380)
+ gpsblam (33258)
+ gpxfilter (33004)
+ imagery_offset_db (33547)
+ jts (32699)
+ livegps (33739)
+ log4j (32699)
+ pbf (33568)
+ pdfimport (33579)
+ photo_geotagging (33494)
+ photoadjust (33746)
+ rasterfilters (33585)
+ reltoolbox (33708)
+ reverter (33572)
+ rex (36)
+ tageditor (33579)
+ terracer (33608)
+ todo (30303)
+ turnlanes-tagging (254)
+ undelete (33480)
+ utilsplugin2 (33742)
+ waydownloader (33574)

Tagging presets:
+ http://zibi.openstreetmap.org.pl/kendzi/k/Simple3dPreset/s3db-preset.zip
+ https://josm.openstreetmap.de/josmfile?page=Presets/Playground_Equipment&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/BicycleJunction&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/BloodDonation&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Heritage&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/BuildingPreset&zip=1
+ https://raw.githubusercontent.com/species/josm-preset-wheelchair/master/sidewalks_kerbs.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/Golf_Course&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Historic_Stone&zip=1
+ https://raw.githubusercontent.com/OpenNauticalChart/josm/master/Presets_Hafen.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/Crafts&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/MobilePhoneBaseStations&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewParkingFeatures&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Tagsforobservatories&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/hiking_routes_with_trail_marking&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/caravan_site&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/public_bookcase&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Surveillance&zip=1
+ http://osmtools.de/josm/steps.xml
+ https://raw.github.com/Flacus/Windrad/master/windrad.xml

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Enhanced_Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Fixme&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Historic_Stones&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1

Last errors/warnings:
- E: Defekte Objektvorlage "surveillance-kind of surveillance" - Anzahl der Datenworte in 'display_values' und in 'values' müssen gleich sein
- E: Detaillierte Information: [Innenräume, Außenbereich, Öffentlicher Raum, Webcam, ja (irgendeine Art von Überwachung), nein (keine Überwachung)] <> [indoor, outdoor, public, traffic, webcam, yes, no]
- W: No configuration settings found.  Using hardcoded default values for all pools.
- E: java.lang.ClassCastException: sun.awt.image.BufImgSurfaceData cannot be cast to sun.java2d.xr.XRSurfaceData
- E: java.lang.ClassCastException: sun.awt.image.BufImgSurfaceData cannot be cast to sun.java2d.xr.XRSurfaceData
- E: Handled by bug report queue: java.lang.NullPointerException
- E: Handled by bug report queue: java.lang.NullPointerException
- E: Handled by bug report queue: java.lang.NullPointerException
- E: Handled by bug report queue: java.lang.NullPointerException
- W: java.net.SocketTimeoutException: Read timed out

Attachments (0)

Change History (6)

comment:1 Changed 6 weeks ago by Don-vip

Component: CoreCore image mapping
Keywords: regression added
Milestone: 17.11
Owner: changed from team to Don-vip
Status: newassigned

Regression from r13038, can you please share your .gpx file and the picture?

comment:2 Changed 6 weeks ago by bielebog

This behaviour happens independently of track or picture.

comment:3 Changed 4 weeks ago by cmuelle8

please see ticket:15476#comment:9, fixed there with some minor enhancements to the image viewer
(bilinear upscaling, configurability through prefs added)

comment:4 Changed 4 weeks ago by Don-vip

Resolution: fixed
Status: assignedclosed

In 13127/josm:

see #15476, fix #15511 - fix image scaling regression and makes geoimage feature more configurable through prefs (adjustable max zoom, zoom-step, click zooming with mouse buttons (e.g. if a mouse wheel is not present). Patch by cmuelle8

comment:5 Changed 4 weeks ago by Don-vip

@bielebog: can you please check and confirm? :)

comment:6 Changed 4 weeks ago by bielebog

Yup, Zooming works like a charm again.

Great work! :)

Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-11-19 00:41:36 +0100 (Sun, 19 Nov 2017)
Build-Date:2017-11-19 02:33:42
Revision:13128
Relative:URL: /trunk

Identification: JOSM/1.5 (13128 de) Linux Ubuntu 14.04.5 LTS
Memory Usage: 1140 MB / 1753 MB (610 MB allocated, but free)
Java version: 1.8.0_141-8u141-b15-3~14.04-b15, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1280x800
Maximum Screen Size: 1280x800
Java package: openjdk-8-jre:amd64-8u141-b15-3~14.04

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.